curl --request GET \
--url https://api.kameleoon.com/variations/{variationId} \
--header 'Authorization: Bearer <token>'{
"name": "<string>",
"siteId": 123,
"color": 123,
"cssCode": "<string>",
"customJson": "<string>",
"experimentId": 123,
"expositionFrequencyDelaySecondsBetweenTwoExpositions": 123,
"expositionFrequencySameVisit": 123,
"expositionFrequencySameVisitor": 123,
"expositionFrequencySameVisitorDelaySeconds": 123,
"forceNoFlicker": true,
"id": 123,
"isJsCodeAfterDomReady": true,
"jsCode": "<string>",
"personalizationId": 123,
"prompt": {
"textInput": "<string>",
"promptSource": "<string>"
},
"redirection": {
"includeQueryParameters": true,
"parameters": "param1=foo¶m2=bar",
"type": "GLOBAL_REDIRECTION",
"url": "www.kameleoon.com"
},
"redirectionStrings": "<string>",
"shadowDom": true,
"widgetTemplateInput": "<string>"
}Get a variation belonging to the given Id. To use optionalFields check out this guide.
curl --request GET \
--url https://api.kameleoon.com/variations/{variationId} \
--header 'Authorization: Bearer <token>'{
"name": "<string>",
"siteId": 123,
"color": 123,
"cssCode": "<string>",
"customJson": "<string>",
"experimentId": 123,
"expositionFrequencyDelaySecondsBetweenTwoExpositions": 123,
"expositionFrequencySameVisit": 123,
"expositionFrequencySameVisitor": 123,
"expositionFrequencySameVisitorDelaySeconds": 123,
"forceNoFlicker": true,
"id": 123,
"isJsCodeAfterDomReady": true,
"jsCode": "<string>",
"personalizationId": 123,
"prompt": {
"textInput": "<string>",
"promptSource": "<string>"
},
"redirection": {
"includeQueryParameters": true,
"parameters": "param1=foo¶m2=bar",
"type": "GLOBAL_REDIRECTION",
"url": "www.kameleoon.com"
},
"redirectionStrings": "<string>",
"shadowDom": true,
"widgetTemplateInput": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.kameleoon.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
OK
Name of the variation
Site Id of the project the variation belongs to
Variation color displayed in the editor
Code editor css code for variation
Custom JSON for this variation
Id of the experiment this variation belongs to
Delay in seconds between two exposures
Frequency of exposure during the same visit
Frequency of the exposure for the same visitor
Delay in seconds between exposure for the same visitor
Unique Id of the variation
Set to true (which is also the default value) if the code is applied once the DOM is ready.
Code editor javascript code for variation
Id of the personalization this variation belongs to
Object used to define an autorun message in the variation. Triggers the creation of a message of type autorun if valid
Show child attributes
Redirection parameters of a variation
Show child attributes
Redirect URL used for redirecting variation. Deprecated property: use property 'redirection' instead
ShadowDOM option
Widget template input data in JSON format.
Was this page helpful?